net.corda.core.contracts

## Class ScheduledActivity

- net.corda.core.contracts.ScheduledActivity

- All Implemented Interfaces:
    Scheduled

      public class ScheduledActivity
      implements Scheduled

  This class represents the lifecycle activity that a contract state of type `interface LinearState` would like to perform at a given point in time. e.g. run a fixing flow.

  Note the use of `class FlowLogicRef` to represent a safe way to transport a FlowLogic out of the contract sandbox.

  Currently we support only flow based activities as we expect there to be a transaction generated off the back of the activity, otherwise we have to start tracking secondary state on the platform of which scheduled activities for a particular `interface ContractState` have been processed/fired etc. If the activity is not "on ledger" then the scheduled activity shouldn't be either.

  See Also:
    `interface LinearState`, `class FlowLogicRef`, FlowLogic, `interface ContractState`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScheduledActivity(FlowLogicRef logicRef, java.time.Instant scheduledAt)` This class represents the lifecycle activity that a contract state of type `interface LinearState` would like to perform at a given point in time. e.g. run a fixing flow.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FlowLogicRef` | `component1()`
    `java.time.Instant` | `component2()`
    `ScheduledActivity` | `copy(FlowLogicRef logicRef, java.time.Instant scheduledAt)` This class represents the lifecycle activity that a contract state of type `interface LinearState` would like to perform at a given point in time. e.g. run a fixing flow.
    `boolean` | `equals(java.lang.Object p)`
    `FlowLogicRef` | `getLogicRef()`
    `java.time.Instant` | `getScheduledAt()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from interface net.corda.core.contracts.Scheduled

      `getScheduledAt`

- - ### Constructor Detail

    - #### ScheduledActivity

          public ScheduledActivity(FlowLogicRef logicRef,
                                   java.time.Instant scheduledAt)

      This class represents the lifecycle activity that a contract state of type `interface LinearState` would like to perform at a given point in time. e.g. run a fixing flow.

      Note the use of `class FlowLogicRef` to represent a safe way to transport a FlowLogic out of the contract sandbox.

      Currently we support only flow based activities as we expect there to be a transaction generated off the back of the activity, otherwise we have to start tracking secondary state on the platform of which scheduled activities for a particular `interface ContractState` have been processed/fired etc. If the activity is not "on ledger" then the scheduled activity shouldn't be either.

      See Also:
        `interface LinearState`, `class FlowLogicRef`, FlowLogic, `interface ContractState`

  - ### Method Detail

    - #### getLogicRef

          public FlowLogicRef getLogicRef()

    - #### getScheduledAt

          public java.time.Instant getScheduledAt()

    - #### component1

          public FlowLogicRef component1()

    - #### component2

          public java.time.Instant component2()

    - #### copy

          public ScheduledActivity copy(FlowLogicRef logicRef,
                                        java.time.Instant scheduledAt)

      This class represents the lifecycle activity that a contract state of type `interface LinearState` would like to perform at a given point in time. e.g. run a fixing flow.

      Note the use of `class FlowLogicRef` to represent a safe way to transport a FlowLogic out of the contract sandbox.

      Currently we support only flow based activities as we expect there to be a transaction generated off the back of the activity, otherwise we have to start tracking secondary state on the platform of which scheduled activities for a particular `interface ContractState` have been processed/fired etc. If the activity is not "on ledger" then the scheduled activity shouldn't be either.

      See Also:
        `interface LinearState`, `class FlowLogicRef`, FlowLogic, `interface ContractState`

    - #### toString

          public java.lang.String toString()

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(java.lang.Object p)